## Versioning information Versioning information — JSON-GLib version checking |

## Functions

#define | JSON_CHECK_VERSION()

## Types and Values

#define | JSON_MAJOR_VERSION
#define | JSON_MINOR_VERSION
#define | JSON_MICRO_VERSION
#define | JSON_VERSION
#define | JSON_VERSION_S
#define | JSON_VERSION_HEX
#define | JSON_VERSION_MIN_REQUIRED
#define | JSON_VERSION_MAX_ALLOWED

## Includes

    #include <json-glib/json-glib.h>

## Description

JSON-GLib provides macros to check the version of the library at compile-time

## Functions

### JSON_CHECK_VERSION()

    #define             JSON_CHECK_VERSION(major,minor,micro)

Compile-time version checking. Evaluates to `TRUE` if the version of Json is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values

### JSON_MAJOR_VERSION

    #define JSON_MAJOR_VERSION

Json major version component (e.g. 1 if `JSON_VERSION` is 1.2.3)

### JSON_MINOR_VERSION

    #define JSON_MINOR_VERSION

Json minor version component (e.g. 2 if `JSON_VERSION` is 1.2.3)

### JSON_MICRO_VERSION

    #define JSON_MICRO_VERSION

Json micro version component (e.g. 3 if `JSON_VERSION` is 1.2.3)

### JSON_VERSION

    #define JSON_VERSION                    (1.4.4)

Json version.

### JSON_VERSION_S

    #define JSON_VERSION_S                  "1.4.4"

JSON-GLib version, encoded as a string, useful for printing and concatenation.

### JSON_VERSION_HEX

    #define             JSON_VERSION_HEX

JSON-GLib version, encoded as an hexadecimal number, useful for integer comparisons.

### JSON_VERSION_MIN_REQUIRED

    # define JSON_VERSION_MIN_REQUIRED      (JSON_VERSION_CUR_STABLE)

A macro that should be defined by the user prior to including the gdk.h header. The definition should be one of the predefined JSON version macros: `JSON_VERSION_1_0`, `JSON_VERSION_1_2`,...

This macro defines the lower bound for the JSON-GLib API to use.

If a function has been deprecated in a newer version of JSON-GLib, it is possible to use this symbol to avoid the compiler warnings without disabling warning for every deprecated function.

Since: 1.0

### JSON_VERSION_MAX_ALLOWED

    #  define JSON_VERSION_MAX_ALLOWED      (JSON_VERSION_MIN_REQUIRED)

A macro that should be defined by the user prior to including the json-glib.h header.

The definition should be one of the predefined JSON-GLib version macros: `JSON_VERSION_1_0`, `JSON_VERSION_1_2`,...

This macro defines the upper bound for the JSON API-GLib to use.

If a function has been introduced in a newer version of JSON-GLib, it is possible to use this symbol to get compiler warnings when trying to use that function.

Since: 1.0